Cyberduck Mountain Duck CLI

#9843 closed defect (fixed)

Failure deleting folders with $ sign

Reported by: tomarmo Owned by: dkocher
Priority: normal Milestone: 6.3.4
Component: s3 Version: 5.3.5
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 10

Description

Since I updated to 5.3 I cannot delete any folder that contains '$' sign in the name from S3. I can invoke the command, but the folder stays as it was. It used to work in 5.2.

Change History (6)

comment:1 Changed on Feb 14, 2017 at 9:52:55 AM by dkocher

What application do you use to create these placeholder files?

comment:2 Changed on Feb 14, 2017 at 9:53:01 AM by dkocher

  • Milestone set to 6.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Feb 14, 2017 at 9:53:18 AM by dkocher

  • Component changed from core to s3
  • Summary changed from Can't delete folders with '$' sign from S3 to Failure deleting folders with $ sign

comment:4 Changed on Feb 14, 2017 at 10:18:55 AM by tomarmo

Replying to dkocher:

What application do you use to create these placeholder files?

We use S3 as Hadoop storage space. Folders with '$' are created by default by Hive and Spark. I have downgraded to v5.2 now, so I can't check right now, but I think that in v5.3 I could create those files but could not delete them. I can both create and delete just fine in v5.2.3.

Last edited on Feb 14, 2017 at 10:20:00 AM by tomarmo (previous) (diff)

comment:5 Changed on May 5, 2017 at 1:45:11 PM by dkocher

  • Milestone changed from 6.0 to 7.0

Ticket retargeted after milestone closed

comment:6 Changed on Jan 10, 2018 at 1:36:48 PM by dkocher

  • Milestone changed from 7.0 to 6.3.4
  • Resolution set to fixed
  • Status changed from assigned to closed

Duplicate for #10147.

Note: See TracTickets for help on using tickets.
swiss made software